List Devices

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To fetch available Solink Recording Devices under your account, use the following endpoint that uses pagination with 100 records per page.

Sample Request

curl --request GET \
     --url 'https://api-prod-us-west-2.solinkcloud.com/v2/devices' \
     --header 'Authorization: Bearer {ACCESS_TOKEN}' \
     --header 'x-api-key: {API_KEY}'

Sample Response

[
  {
    "id": "245fb3b0-07ed-11ef-9682-5d17094e05ce",
    "customerId": "20695450-902b-11ec-b965-4b15b7bdfef4",
    "name": "Test Device",
    "status": "online",
    "address": "4060 Carling Ave, Kanata, ON K2K 2E4, Canada",
    "timezoneId": "America/New_York",
    "totalCameras": 26,
    "offlineCameras": 0,
    "siteId": "174da780-3258-11ef-8184-b3b92604ea69"
  }
]
Query Params
integer

Indicates the number of records to skip.

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json